<?php

/**
 * FpaCagedmagnet
 * 
 * This class has been auto-generated by the Doctrine ORM Framework
 * 
 * @package    DbModel
 * @subpackage Model
 * @author     cristianesantos - 21/05/2012 15:37:08 <development@setforms.com>
 * @version    SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class FpaCagedmagnet extends DaoFpaCagedmagnet
{


    /**
     * Retorna registros.
     *
     * @param string $mesCompetencia Mes de competencia.
     * @param string $nrOrg          Numero da Organizacao.
     *
     * @return array FpacagedmagnetEntity
     *
     * @author thalesvalias - 23/05/2012
     */
    public static function retornaRegistros($mesCompetencia, $nrOrg){
        $resultado = self::getObjectsByWhere(
            'MESCOMPETENCIA = ?
             AND NRORG = ?',
            array(
                $mesCompetencia, $nrOrg,
            ), 'IDTPINSCESTRUTU, CDINSCESTRUT, IDTIPOREGISTRO, NRPISPASEPPES'
        );
        return $resultado;
    }


    /**
     * Retorna registros por tipo.
     *
     * @param TkDateTime $mesCompetencia Mes de competencia.
     * @param string     $tipoRegistro   Lista de tipos de registros.
     * @param integer    $nrOrg          Numero da Organizacao.
     *
     * @return FpacagedmagnetEntity
     *
     * @author thalesvalias - 23/05/2012
     */
    public static function retornaRegistrosPorTipo(TkDateTime $mesCompetencia, $tipoRegistro, $nrOrg){
        $resultado = self::getObjectsByWhere(
            'MESCOMPETENCIA = ?
            AND IDTIPOREGISTRO = ?
            AND NRORG = ?',
            array(
                $mesCompetencia, $tipoRegistro, $nrOrg,
            )
        );
        return $resultado;
    }


    /**
     * Retorna registro relacionados ao trabalhador.
     *
     * @param string $mesCompetencia   Mes de competencia.
     * @param string $nrOrg            Numero da Organizacao.
     * @param string $tipoRegistro     Tipo de registro.
     * @param string $tipoInscricao    Tipo de Inscricao.
     * @param string $nrInscricao      Numero de Inscricao.
     * @param string $nrPisPasepCi     Numero de PIS, PASEP ou CI.
     * @param string $dataAdmissao     Data de Admissao.
     * @param string $tipoMovimentacao Tipo de movimentacao de transferencia (legal/gerencial).
     *
     * @return FpacagedmagnetEntity
     *
     * @author thalesvalias - 23/05/2012
     */
    public static function retornaRegistrosTrabalhador(
        $mesCompetencia, $nrOrg, $tipoRegistro, $tipoInscricao, $nrInscricao, $nrPisPasepCi, $dataAdmissao, $tipoMovimentacao){
        $resultado = self::getObjectByWhere(
            'MESCOMPETENCIA = ?
             AND NRORG = ?
             AND IDTIPOREGISTRO = ?
             AND IDTPINSCESTRUTU = ?
             AND CDINSCESTRUT = ?
             AND NRPISPASEPPES = ?
             AND DTADMISSAOVINC = ?
             AND NRTPMOVTRANSFM = ?',
            array(
                $mesCompetencia, $nrOrg, $tipoRegistro, $tipoInscricao, $nrInscricao, $nrPisPasepCi, $dataAdmissao, $tipoMovimentacao,
            )
        );

        return $resultado;
    }


    /**
     * Retorna o total de registros de acordo com o tipo de registro informado.
     *
     * @param string  $mesCompetencia Mes de competencia.
     * @param integer $nrOrg          Numero da organizacao.
     * @param integer $tipoRegistro   Tipo do registro.
     *
     * @return null || array
     *
     * @author thalesvalias 03/06/2012
     */
    public static function totalRegistrosPorTipo($mesCompetencia, $nrOrg, $tipoRegistro){
        $sql = "SELECT COUNT(1)
                FROM FPA_CAGEDMAGNET
                WHERE IDTIPOREGISTRO = '$tipoRegistro'
                AND MESCOMPETENCIA = '$mesCompetencia '
                AND NRORG = '$nrOrg'";

        $result = \Setforms2\Runtime\Connection::getInstance()->fetchAll($sql);

        return $result;
    }


}
